/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JAnnotationManagedBean.java 6304 2012-11-19 13:04:02Z albertil $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.struct;

import org.ow2.util.ee.metadata.common.api.struct.IJAnnotationManagedBean;

/**
 * Manage  &#64;{@link javax.annotation.ManagedBean} metadata
 *
 * @author Loic Albertin
 */
public class JAnnotationManagedBean implements IJAnnotationManagedBean {
    private static final long serialVersionUID = 1802777453731732751L;

    private String name;

    public JAnnotationManagedBean() {
        //Default value
        this("");
    }

    public JAnnotationManagedBean(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
