/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbsEJBRef.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.ICommonEJBRef;

/**
 * Class representing ejb-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class AbsEJBRef extends AbsResourceGroup implements ICommonEJBRef {

    /**
     * Default constructor.
     */
    public AbsEJBRef() {
        super();
    }

    /**
     * Name of this ejb-ref.
     */
    private String ejbRefName = null;

    /**
     * Type of this ejb-ref.
     */
    private String ejbRefType = null;

    /**
     * EJB-Link.
     */
    private String ejbLink = null;

    /**
     * @return the ejb-link value
     */
    public String getEjbLink() {
        return ejbLink;
    }

    /**
     * Sets the ejb-link value.
     * @param ejbLink value of ejb-link element
     */
    public void setEjbLink(final String ejbLink) {
        this.ejbLink = ejbLink;
    }

    /**
     * @return name of this ejb-ref
     */
    public String getEjbRefName() {
        return ejbRefName;
    }

    /**
     * Sets the name of this ejb-ref.
     * @param ejbRefName name of this reference
     */
    public void setEjbRefName(final String ejbRefName) {
        this.ejbRefName = ejbRefName;
    }

    /**
     * @return the type of this ejb-ref.
     */
    public String getEjbRefType() {
        return ejbRefType;
    }

    /**
     * Sets the type of this reference.
     * @param ejbRefType type of reference
     */
    public void setEjbRefType(final String ejbRefType) {
        this.ejbRefType = ejbRefType;
    }

}
